PETSc version 3.15.5
Fix/Edit manual page

# PetscObjectSetFromOptions

Sets generic parameters from user options.

### Synopsis

    #include "petscsys.h"
    PetscErrorCode  PetscObjectSetFromOptions(PetscObject obj)

Collective on obj

### Input Parameter

| obj | - the PetscObjcet

### Options Database Keys

### Notes

We have no generic options at present, so this does nothing

### See Also

PetscObjectSetOptionsPrefix(), PetscObjectGetOptionsPrefix()

### Level

beginner

### Location

src/sys/objects/inherit.c
Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages